%global _empty_manifest_terminate_build 0
Name:           python-pbr
Version:        5.8.1
Release:        2
Summary:        Python Build Reasonableness
License:        Apache-2.0
URL:            https://docs.openstack.org/pbr/latest/
Source0:        https://files.pythonhosted.org/packages/51/da/eb358ed53257a864bf9deafba25bc3d6b8d41b0db46da4e7317500b1c9a5/pbr-5.8.1.tar.gz
BuildArch:      noarch
%description
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%package -n python3-pbr
Summary:        Python Build Reasonableness
Provides:       python-pbr
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
Requires:       python3-setuptools
Requires:       git-core
Conflicts:      python2-%{pypi_name} < 5.4.3-2
%description -n python3-pbr
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%package help
Summary:        Python Build Reasonableness
Provides:       python3-pbr-doc
%description help
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%prep
%autosetup -n pbr-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/pbr/tests
mv %{buildroot}%{_bindir}/pbr %{buildroot}%{_bindir}/pbr-3
ln -s ./pbr-3 %{buildroot}%{_bindir}/pbr

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%if 0%{?do_test}
%check
%{__python3} setup.py test
%endif

%files -n python3-pbr -f filelist.lst
%dir %{python3_sitelib}/*
%{_bindir}/pbr

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Oct 26 2022 zhuofeng <zhuofeng2@huawei.com> - 5.8.1-2
- Rebuild for next release

* Sun May 22 2022 Han Guangyu <hanguangyu@uniontech.com> - 5.8.1-1
- Upgrade package python3-pbr to version 5.8.1

* Fri Dec 17 2021 renhongxun <renhongxun@huawei.com> - 5.8.0-1
- Upgrade to version 5.8.0

* Mon Feb 01 2021 shangyibin <shangyibin1@huawei.com> - 5.5.1-1
- Upgrade to version 5.5.1

* Wed Jul 29 2020 jinzhimin<jinzhimin2@huawei.com> - 5.4.5-1
- update to 5.4.5

* Fri Feb 21 2020 Wanjiankang <wanjiankang@huawei.com> - 4.1.1-3
- Modify BuildRequires.

* Fri Nov 22 2019 Wanjiankang <wanjiankang@huawei.com> - 4.1.1-2
- Initial package.
